Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle 9 & Merant's ODBC Driver

SOLVED
Go to solution
Timo_4
Occasional Visitor

Oracle 9 & Merant's ODBC Driver


Hi,

We have a hp-ux system with websphere MQ Integrator 2.1 (CSD4) and Oracle 9 database. We try to connect to the database with Integrator using Merant's UKor816.sl odbc driver (supplied with the Integrator) but the following error occurs:

/usr/lib/dld.sl: Can't find path for shared library: libclntsh.sl.8.0
/usr/lib/dld.sl: No such file or directory

Oracle 9 does not have libclntsh.sl.8.0 library - instead it has libclntsh.sl.9.0 library.

Is this a known problem? Is the UK0r816.sl driver compatible with Oracle 9?

- Timo

4 REPLIES
Solution

Re: Oracle 9 & Merant's ODBC Driver

MQ Integrator seems to be compiled with reference to oracle 8i. You could make a simbolic link from libclntsh.so.8.0 to libclntsh.so.9.0 in $ORACLE_HOME/lib
Then it should work. Oracle 9 client library is compatible with previous releases
Johnny Kwok
Occasional Advisor

Re: Oracle 9 & Merant's ODBC Driver

Hello,

We are in the processing of moving our Websphere 4.05 running on a HP Server (N4000) with HP UX 11.0 and ORACLE 8.1.7. to HP Server RP7410 with HP UX 11i and ORACLE 9i (9.0.2).

During testing, developers reported "ODBC" drivers problem for the applications with ORACLE 9i, they ended up using the 8.1.7 "ODBC" drivers instead and then everything works.

Hope it helps!

-JK
Timo_4
Occasional Visitor

Re: Oracle 9 & Merant's ODBC Driver

Thanks Marian. That resolved our problem.

BG, Timo
Wendy Dube
Occasional Visitor

Re: Oracle 9 & Merant's ODBC Driver

I am running wmqi broker 2.1 on Unix and i am inserting XML data onto a remote oracle database(Unix).

When the XML data I am inserting is small (> 4 KB) it works, but when I put big message (> 9kb). I get the error:

[MERANT][ODBC Oracle 8 driver] Invalid precision value.6044'

The column I am inserting in is data type CLOB.

One of the posting suggested I use oracle drivers instead of the Merant WMQI drivers (/opt/wmqi/merant/lib/UKor816.so). How do I go about doing this?

The local server has oracle client 8.1.7 and the remote server has oracle version 8.1.7 on Sun Solaris 9.

Please help.

Thanks

Wendy